Summary: Print source code in a variety of languages to postscript
Name: trueprint
Version: 5.3
Release: 2
License: GPL
Group: Applications/Text
URL: http://www.gnu.org/software/trueprint/trueprint.html
Source0: http://ftp.gnu.org/gnu/trueprint/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext
Requires: gettext, info, /sbin/install-info

%description
GNU Trueprint takes C source files and other text files and prints them on
PostScript printers. It is intended to be used by programmers; therefore, it
includes features like diff-marking, indentation count, function and file
indices, and many others that are useful when printing source code.

It currently supports C and has more limited support for other languages,
including C++, Java, and Perl.


%prep
%setup -q
%patch0


%build
export CC="cc -qcpluscmt"

./configure \
    --prefix=%{_prefix}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*.info*
/usr/bin/*


%changelog
* Wed Jan 12 2011 Michael Perzl <michael@perzl.org> - 5.3-2
- first version for AIX V5.1 and higher
